Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class Party

    java.lang.Object
      com.fxcm.fix.Party

All Implemented Interfaces:
  Serializable

    public class Party

extends Object
implements Serializable

Party component block. Used to identify a particular party in the chain of events for a particular business transaction.

See Also:
  Serialized Form

Nested Class Summary
`class` | `Party.SubParty`

Constructor Summary
`Party()` Empty constructor.
`Party(String aPartyId, String aPartyIdSource, String aPartyRole)` Constructor with full set of fields.

Method Summary
`void` | `clear()`
`boolean` | `fill(IFieldGroup aGroup)`
`boolean` | `fill(Party aOrig)` Fills out object state.
`String` | `getPartyId()` Obtains the id of the party.
`String` | `getPartyIdSource()` Optains PartyIdSource (long name) of the party.
`String` | `getPartyRole()` Obtains PartyRole.
`String` | `getPartySubId(String aPartySubIdType)`
`Iterator` | `getSubParties()` Obtains enumeration SubParties.
`boolean` | `isValid()`
`void` | `setPartyId(String aPartyId)` Updates partyId.
`void` | `setPartyIdSource(String aPartyIdSource)` Updates partyIdSource.
`void` | `setPartyRole(String aPartyRole)` Updates Party Role.
`void` | `setSubParty(String aPartySubIdType, String aPartySubId)` Updates partySubId.
`IFieldGroup` | `toGroup(IMessageFactory aFactory)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Party

    public Party()

  Empty constructor.

### Party

    public Party(String aPartyId,
                 String aPartyIdSource,
                 String aPartyRole)

  Constructor with full set of fields.

  Parameters:
    `aPartyId` - PartyId of the institution.
    `aPartyIdSource` - PartyIdSource of the institution (the long name).
    `aPartyRole` - Party Role.

Method Detail

### getPartyId

    public String getPartyId()
                      throws NotDefinedException

  Obtains the id of the party.

  Returns:
    Party Id.
  Throws:
    `NotDefinedException` - when field not specified.

### getPartyIdSource

    public String getPartyIdSource()
                            throws NotDefinedException

  Optains PartyIdSource (long name) of the party.

  Returns:
    partyIdSource.
  Throws:
    `NotDefinedException` - when field not specified.

### getPartyRole

    public String getPartyRole()
                        throws NotDefinedException

  Obtains PartyRole.

  Returns:
    The description of Party Role.
  Throws:
    `NotDefinedException` - when field not specified.

### setPartyId

    public void setPartyId(String aPartyId)

  Updates partyId.

  Parameters:
    `aPartyId` - PartyId of the institution.

### setPartyIdSource

    public void setPartyIdSource(String aPartyIdSource)

  Updates partyIdSource.

  Parameters:
    `aPartyIdSource` - Long name of the party.

### setPartyRole

    public void setPartyRole(String aPartyRole)

  Updates Party Role.

  Parameters:
    `aPartyRole` - partyRole

### getSubParties

    public Iterator getSubParties()

  Obtains enumeration SubParties.

  Returns:
    The description of Party Sub Id

### setSubParty

    public void setSubParty(String aPartySubIdType,
                            String aPartySubId)

  Updates partySubId.

  Parameters:
    `aPartySubIdType` - PartySubIdType
    `aPartySubId` - PartySubId

### getPartySubId

    public String getPartySubId(String aPartySubIdType)

### fill

    public boolean fill(Party aOrig)

  Fills out object state.

  Parameters:
    `aOrig` - Object to copy state from.
  Returns:
    `true` if state is updated successfully; `false` otherwise.

### isValid

    public boolean isValid()

### clear

    public void clear()

### fill

    public boolean fill(IFieldGroup aGroup)

### toGroup

    public IFieldGroup toGroup(IMessageFactory aFactory)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.